<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
		let datos=[], repeticiones=[], ac=0, n=0;

		//repeticiones=[] //Así crea un array vacío sin longitud
	
		//repeticiones=new Array(11) // así ya crea un array con longitud y podemos usar .fill para llenarlo de 0

		datos=[4,4,4,8,8,8];

		//El siguiente for es para meter 0 en todas las posiciones del array repeticiones en plan cutre

		for (let c=0;c<11;c++) {
			repeticiones[c]=0;
		}

		//Esta forma es más rápida
		//array.fill(value,start,end) El end por defecto es la longitud del array

		//repeticiones.fill(0,0,10);

		for (let i=0;i<=datos.length;i++) {

			let n=datos[i];
			repeticiones[n]++;

		}

		// Aqui añado repeticiones al leer los numeros del array datos
		for(c=0;c<repeticiones.length;c++) {
		document.write(c+":"+repeticiones[c]+"<br>");
		}


			/*if (datos[i]==4) {
						ac=ac+1
						repeticiones[5]=ac+1;
						

					} else {
						ac=ac+1
						repeticiones[9]=ac+1;
						
					}		
				}

					document.write(repeticiones);*/
	</script>
</head>
<body>
	
</body>
</html>